%define upstream_name    URL-Encode
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Encoding and decoding of C<application/x-www-form-urlencoded> encoding
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/URL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader)
BuildArch:  noarch

%description
This module provides functions to encode and decode strings into and from
the 'application/x-www-form-urlencoded' encoding.

The 'application/x-www-form-urlencoded' format encodes a ordered data sets
of pairs consisting of a name and a value, with pairs seperated by
ampersand and names and values seperated by the equal sign. Space
characters are replaced with plus sign and any characters not in the
unreserved character set is encoded using the percent-encoding scheme also
used for resource identifiers. A percent-encoded octet is encoded as a
character triplet, consisting of the percent character "%" followed by the
two hexadecimal digits representing that octet's numeric value.

The unreserved character set includes the uppercase and lowercase letters,
decimal digits, hyphen, period, underscore, and tilde.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.30.0-6pclos2017
- rebuild against updates

